Create named account order
BearerAuthAuthorizationBearer <JWT>Idempotency-Key*stringIt helps preventing duplicates in your POST requests. It is recommend using a UUID for the key, however you may use any other unique identifier you choose.
length <= 160X-Volt-Api-Version*1Version of the API used. Currently, version 1 is the only version.
1X-Volt-Testing-Scenario?string[SANDBOX ONLY] used to trigger specific transaction failure or verification mocks.
"PAYOUT_REJECTED""ACCOUNT_HOLDER_VERIFICATION_CLOSE_MATCH""ACCOUNT_HOLDER_VERIFICATION_NO_MATCH""ACCOUNT_HOLDER_VERIFICATION_ERROR""ONBOARDING_REJECTED""ONBOARDING_ADDITIONAL_INFO_REQUIRED""ONBOARDING_ADDITIONAL_INFO_REQUIRED_NAME_MISMATCH""ONBOARDING_EXPIRED""ORDER_NAMED_ACCOUNTS_FAILED"application/json- body
Request to create a named account from an approved onboarding.
onboardingEntityId*stringID of the approved onboarding entity
uuidcurrency*CurrencyCodeThree-letter ISO 4217 currency code.
^[A-Z]{3}$communication?Named account order has been accepted
application/json- response
Named account order status and details.
id?stringUnique identifier of the named account order
uuidonboardingEntityId?stringID of the associated onboarding entity
uuidaccountId?|ID of the created account (only present when status is COMPLETED)
uuidstatus?NamedAccountOrderStatusEnumCurrent status of the named account order
"PROCESSING""COMPLETED""FAILED"statusReason?stringReason for the current status (e.g., failure reason)
createdAt?stringTimestamp when the order was created
date-timecompletedAt?stringTimestamp when the account was created
date-timecurl -X POST 'https://accounts.sandbox.volt.io/orders/named-accounts' \ -H 'Idempotency-Key: 85136c79cbf9fe36bb9d05d0639c70c265c18d37' \ -H 'X-Volt-Api-Version: 1' \ -H 'Content-Type: application/json' \ -d '{ "onboardingEntityId": "a1b2c3d4-5678-90ab-cdef-1234567890ab", "currency": "EUR", "communication": { "notifications": { "url": "https://mywebsite.com/webhooks" } }}'{ "id": "order-5678-90ab-cdef-1234567890ab"}